package s1;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;

public class KeySample extends JFrame {
	
	public static void main(String[] args) {

		JFrame frame = new KeySample();
		frame.addKeyListener(new MyKeyListener());
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setSize(640, 480);
		frame.setVisible(true);
	}

	static class MyKeyListener implements KeyListener{
	
		public void keyPressed(KeyEvent e) {
			System.out.println("KeyPressed : " + e.getKeyChar());
		}
	
		public void keyReleased(KeyEvent e) {
			System.out.println("keyReleased : " + e.getKeyChar());
		}
		
		public void keyTyped(KeyEvent e) {
			System.out.println("keyTyped : " + e.getKeyChar());
		}
	}
}
